Skip to main content

Merchant Accounting

Merchant Accounting​

Retrieves the accounting details of a logged in merchant.

Endpoint:

GET /company/merchants/{external_id}/accounting

Authorization: Bearer <ACCESS_TOKEN>

Response:

{
"success": true,
"data": [
{
"store_id": "123951753",
"integration": "INVOICE",
"uuid": "Z8L4XK7D93MNQ2C1RV6JTW5BHU",
"typeName": "i",
"issuerId": "123951753",
"issuerName": "شركة بيانات",
"issuerType": "B",
"receiverId": "753951258",
"receiverName": "اسم المتلقي",
"receiverType": "B",
"dateTimeIssued": "2024-06-02T15:41:04Z",
"dateTimeReceived": "2024-06-02T15:42:56.9593034Z",
"totalSales": 14868,
"totalDiscount": 0,
"netAmount": 14868,
"total": 14868,
"status": "Valid",
"documentStatusReason": "",
"direction": "Sent"
},
{
"store_id": "123951753",
"integration": "INVOICE",
"uuid": "A7P3QWDY95LXT29KMGEC1VS4NU",
"typeName": "i",
"issuerId": "753951258",
"issuerName": "اسم المصدر",
"issuerType": "B",
"receiverId": "123951753",
"receiverName": "شركة بيانات",
"receiverType": "B",
"dateTimeIssued": "2023-09-24T12:48:37Z",
"dateTimeReceived": "2023-09-24T12:49:05.5296594Z",
"totalSales": 3636.36364,
"totalDiscount": 0,
"netAmount": 3636.36364,
"total": 4000,
"status": "Valid",
"documentStatusReason": "",
"direction": "Received"
}
]
}

Fields

store_id​

The ID of the store.

integration​

The integration type of the document.

uuid​

Unique document ID in eInvoicing.

typeName​

Unique name of the document type that can be used in submission of the documents. Possible values: ('i' [invoice], 'c' [credit note], 'd' [debit note], 'ii' [import invoice], 'ei' [export invoice], 'ec' [export credit note], 'ed' [export debit note]).

issuerId​

Registration number of issuer.

issuerName​

Issuer company name.

issuerType​

Document issuer type. Possible values: ('B' [Business], 'F' [Foreigner]).

receiverId​

Optional: receiver registration number (can be national ID or foreigner ID).

receiverName​

Optional: receiver name (can be company name or person’s name).

receiverType​

Document receiver type. Possible values: ('B' [Business], 'F' [Foreigner], 'P' [Person]).

dateTimeIssued​

The date and time when the document was issued.

dateTimeReceived​

The date and time when the document was submitted.

totalSales​

Total sales amount of the document in EGP.

totalDiscount​

Total discount amount of the document in EGP.

netAmount​

Total net amount of the document in EGP.

total​

Total amount of the document in EGP.

status​

Status of the document. Possible values: ('Submitted', 'Valid', 'Invalid', 'Rejected', 'Cancelled').

documentStatusReason​

Optional: Reason of the cancellation or rejection of the document.

direction​

Direction of the document. Possible values: (‘Sent', 'Received').